%define anolis_release 26
Name: 		perl-File-Find-Rule
Version: 	0.34
Release: 	%{anolis_release}%{?dist}
Summary: 	Perl module implementing an alternative interface to File::Find
License: 	GPL-1.0-or-later OR Artistic-1.0-Perl
URL: 		https://metacpan.org/release/File-Find-Rule
Source0: 	https://cpan.metacpan.org/authors/id/R/RC/RCLAMP/File-Find-Rule-%{version}.tar.gz

# https://github.com/richardc/perl-file-find-rule/commit/df58128bcee4c1da78c34d7f3fe1357e575ad56f
Patch0001:  fix-CVE-2011-10007.patch
BuildArch: 	noarch

BuildRequires:	make
BuildRequires:	perl-interpreter
BuildRequires:	perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Find)
BuildRequires:  perl(File::Spec)
BuildRequires: 	perl(Number::Compare)
BuildRequires: 	perl(Text::Glob)
BuildRequires:  perl(Test::More) >= 0.07


%description
File::Find::Rule is a friendlier interface to File::Find.  It allows
you to build rules which specify the desired files and directories.

%package doc
Summary: Documentation files for %{name}
Requires: %{name} = %{EVR}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n File-Find-Rule-%{version}
%patch0001 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
chmod -R u+w $RPM_BUILD_ROOT/*

%check
%{__make} test

%files
%{_bindir}/findrule
%{_mandir}/man1/*
%{perl_vendorlib}/File
%{_mandir}/man3/*

%files doc
%doc Changes

%changelog
* Tue Jun 10 2025 wenxin <wx02272781@alibaba-inc.com> - 0.34-26
- Fix CVE-2011-10007

* Mon Feb 6 2023 Funda Wang <fundawang@yeah.net> - 0.34-25
- Import package for anolis 23
